VMware Workstation 12.x < 12.5.4 Drag-and-Drop Feature Guest-to-Host Code Execution (VMSA-2017-0005) (Linux)

critical Nessus Plugin ID 97940

Synopsis

遠端 Linux 主機上安裝的虛擬化應用程式受到一個客體至主機任意程式碼執行弱點影響。

描述

遠端 Linux 主機上安裝的 VMware Workstation 版本是比 12.5.4 舊的 12.x 版。因此會受到拖放 (DND) 功能中的一個客體至主機任意程式碼執行弱點影響,這是因為越界記憶體存取錯誤所致。客體上的攻擊者可惡意利用此問題,在主機系統上執行任意程式碼。

解決方案

升級版本至 VMware Workstation 12.5.4 或更新版本。或是,同時停用拖放功能及複製並貼上功能。

另請參閱

https://www.vmware.com/security/advisories/VMSA-2017-0005.html

Plugin 詳細資訊

嚴重性: Critical

ID: 97940

檔案名稱: vmware_workstation_linux_vmsa_2017_0005.nasl

版本: 1.12

類型: local

代理程式: unix

系列: General

已發布: 2017/3/24

已更新: 2020/9/21

組態: 啟用 Paranoid 模式

支持的傳感器: Nessus Agent

風險資訊

VPR

風險因素: Critical

分數: 9.8

CVSS v2

風險因素: High

基本分數: 7.5

時間分數: 6.5

媒介: AV:N/AC:L/Au:N/C:P/I:P/A:P

時間媒介: E:H/RL:OF/RC:C

CVSS 評分資料來源: CVE-2017-4901

CVSS v3

風險因素: Critical

基本分數: 9.9

時間分數: 9.5

媒介: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:C/C:H/I:H/A:H

時間媒介: E:H/RL:O/RC:C

弱點資訊

CPE: cpe:/a:vmware:workstation

必要的 KB 項目: Host/VMware Workstation/Version, Settings/ParanoidReport

排除在外的 KB 項目: SMB/Registry/Enumerated

可被惡意程式利用: true

可輕鬆利用: Exploits are available

修補程式發佈日期: 2017/3/14

弱點發布日期: 2017/3/14

參考資訊

CVE: CVE-2017-4901

BID: 96881

VMSA: 2017-0005